import { Column, Entity } from 'typeorm';

@Entity('API_Luoghi_Estero')
export class ApiLuoghiEsteroEntity {
  @Column('varchar', { name: 'codice', length: 5 })
  codice!: string;

  @Column('nvarchar', { name: 'codice_stato', length: 5 })
  codiceStato!: string;

  constructor(init?: Partial<ApiLuoghiEsteroEntity>) {
    Object.assign(this, init);
  }
}
